
Foreman - Tracker #12950

Turn all parameters into lookup keys

12/29/2015 01:08 AM - Ori Rabin

Status: New % Done: 0%

Priority: Normal   

Assignee:    

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

CommonParameters, HostParameters and all the rest are lacking validations and types other then string.

There have been a few requests to add more options to them.

This can be done be turning all parameters into lookup keys and using the ui for smart class parameters for parameters as well.

Related issues:

Related to Foreman - Feature #4127: Array, Boolean and other types support in... Closed

Related to Foreman - Feature #4318: Add editable description field for host p... New 02/11/2014

Related to Foreman - Refactor #15496: Simplify all parameter kinds permissions New 06/22/2016

Related to Foreman - Feature #10653: Add smart matchers keyed on config groups New 05/29/2015

History

#1 - 12/29/2015 01:10 AM - Ori Rabin

- Related to Feature #4127: Array, Boolean and other types support in "hostgroup parameters" added

#2 - 12/29/2015 01:10 AM - Ori Rabin

- Related to Feature #4318: Add editable description field for host parameter added

#3 - 12/29/2015 01:31 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3008 added

#4 - 06/23/2016 06:34 AM - Tomer Brisker

- Related to Refactor #15496: Simplify all parameter kinds permissions added

#5 - 11/02/2016 04:38 AM - Dominic Cleal

- Category set to Parameters

- Status changed from Ready For Testing to Assigned

- Pull request deleted (https://github.com/theforeman/foreman/pull/3008)

PR was closed, leaving assigned as I'm not sure what you're doing with it.

#6 - 11/06/2016 03:20 AM - Ori Rabin

- Related to Feature #10653: Add smart matchers keyed on config groups added

#7 - 11/06/2016 03:21 AM - Ori Rabin

- Tracker changed from Refactor to Tracker

- Status changed from Assigned to New

- Assignee deleted (Ori Rabin)
